Loading...
Searching...
No Matches
Ui::CDisplayInfo Class Reference

## Public Member Functions

bool | EventProcess (const Event &event)
void | StartDisplayInfo (std::string filename, int index, bool bSoluce)
void | StopDisplayInfo ()
void | SetPosition (int pos)
int | GetPosition ()

## Protected Member Functions

bool | EventFrame (const Event &event)
void | HyperUpdate ()
void | AdjustDisplayInfo (Math::Point wpos, Math::Point wdim)
void | ChangeIndexButton (int index)
void | UpdateIndexButton ()
void | UpdateCopyButton ()
void | ViewDisplayInfo ()
CObject * | SearchToto ()

## Protected Attributes

Gfx::CEngine * | m_engine
CEventQueue * | m_event
CRobotMain * | m_main
Gfx::CCamera * | m_camera
CInterface * | m_interface
Gfx::CParticle * | m_particle
Gfx::CLightManager * | m_light
CPauseManager * | m_pause
bool | m_bInfoMaximized
bool | m_bInfoMinimized
int | m_index
Math::Point | m_infoNormalPos
Math::Point | m_infoNormalDim
Math::Point | m_infoActualPos
Math::Point | m_infoActualDim
Math::Point | m_infoFinalPos
Math::Point | m_infoFinalDim
int | m_lightSuppl
bool | m_bEditLock
ActivePause * | m_satcomPause = nullptr
bool | m_bSoluce
CObject * | m_toto

The documentation for this class was generated from the following files:

- src/ui/displayinfo.h
- src/ui/displayinfo.cpp